<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Export questionnaire data — export_qstnr • fokus</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Export questionnaire data — export_qstnr"><meta name="description" content="Generates the questionnaire tibble, the Markdown questionnaire and optionally a CSV, an HTML and an XLSX version of it,
and writes all of them to path and optionally uploads them to a Google Drive folder."><meta property="og:description" content="Generates the questionnaire tibble, the Markdown questionnaire and optionally a CSV, an HTML and an XLSX version of it,
and writes all of them to path and optionally uploads them to a Google Drive folder."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">fokus</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9025</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-articles" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true">Articles</button>
  <ul class="dropdown-menu" aria-labelledby="dropdown-articles"><li><a class="dropdown-item" href="../articles/raw_qstnr_schema.html">FOKUS questionnaire schema</a></li>
  </ul></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/fokus/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Export questionnaire data</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/fokus/blob/HEAD/R/fokus.gen.R" class="external-link"><code>R/fokus.gen.R</code></a></small>
      <div class="d-none name"><code>export_qstnr.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Generates the <a href="gen_qstnr_tibble.html">questionnaire tibble</a>, the <a href="gen_qstnr_md.html">Markdown questionnaire</a> and optionally a CSV, an HTML and an XLSX version of it,
and writes all of them to <code>path</code> and optionally uploads them to a Google Drive folder.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">export_qstnr</span><span class="op">(</span></span>
<span>  <span class="va">qstnr_tibble</span>,</span>
<span>  <span class="va">path</span>,</span>
<span>  verbose <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  incl_csv <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  incl_html <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  incl_xlsx <span class="op">=</span> <span class="va">incl_html</span>,</span>
<span>  upload_to_g_drive <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  g_drive_folder <span class="op">=</span> <span class="st">"fokus/aargau/Umfragen/Dateien für Umfrageinstitut/Fragebogen/"</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-qstnr-tibble">qstnr_tibble<a class="anchor" aria-label="anchor" href="#arg-qstnr-tibble"></a></dt>
<dd><p>Questionnaire tibble as returned by <code><a href="gen_qstnr_tibble.html">gen_qstnr_tibble()</a></code>.</p></dd>


<dt id="arg-path">path<a class="anchor" aria-label="anchor" href="#arg-path"></a></dt>
<dd><p>Path to the directory to write the generated questionnaire files to. A character scalar.</p></dd>


<dt id="arg-verbose">verbose<a class="anchor" aria-label="anchor" href="#arg-verbose"></a></dt>
<dd><p>Whether or not to print detailed progress information during questionnaire generation and Google Drive file upload. Note that questionnaire
generation takes considerably more time when this is set to <code>TRUE</code>.</p></dd>


<dt id="arg-incl-csv">incl_csv<a class="anchor" aria-label="anchor" href="#arg-incl-csv"></a></dt>
<dd><p>Whether or not to also generate and export a CSV version of the questionnaire.</p></dd>


<dt id="arg-incl-html">incl_html<a class="anchor" aria-label="anchor" href="#arg-incl-html"></a></dt>
<dd><p>Whether or not to also generate and export an HTML version of the questionnaire.</p></dd>


<dt id="arg-incl-xlsx">incl_xlsx<a class="anchor" aria-label="anchor" href="#arg-incl-xlsx"></a></dt>
<dd><p>Whether or not to also generate and export an XLSX version of the questionnaire.</p></dd>


<dt id="arg-upload-to-g-drive">upload_to_g_drive<a class="anchor" aria-label="anchor" href="#arg-upload-to-g-drive"></a></dt>
<dd><p>Whether or not to upload the generated files to the Google Drive folder <code>g_drive_folder</code>.</p></dd>


<dt id="arg-g-drive-folder">g_drive_folder<a class="anchor" aria-label="anchor" href="#arg-g-drive-folder"></a></dt>
<dd><p>Google Drive folder to upload the generated files to. Ignored if <code>upload_to_g_drive = FALSE</code>.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p><code>path</code>, invisibly.</p>
    </div>
    <div class="section level2">
    <h2 id="details">Details<a class="anchor" aria-label="anchor" href="#details"></a></h2>
    <p>The generated files are named according to the scheme <code>{ballot_date}_{canton}.{ext}</code>, so if the <code>qstnr_tibble</code> of the 2018-09-23 survey in the canton of
Aargau is input, the following files will be written to <code>path</code> by default:</p><ul><li><p><code>2018-09-23_aargau.csv</code></p></li>
<li><p><code>2018-09-23_aargau.html</code></p></li>
<li><p><code>2018-09-23_aargau.md</code></p></li>
<li><p><code>2018-09-23_aargau.xlsx</code></p></li>
</ul></div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other data export functions:
<code><a href="export_easyvote_municipalities.html">export_easyvote_municipalities</a>()</code>,
<code><a href="export_print_recipients.html">export_print_recipients</a>()</code>,
<code><a href="export_qr_codes.html">export_qr_codes</a>()</code>,
<code><a href="export_survey_data.html">export_survey_data</a>()</code>,
<code><a href="write_private_file.html">write_private_file</a>()</code></p></div>
    </div>

  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

